﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace Dronken_Kerstman
{
    public class Sprite
    {
        public Vector2 pos;
        public Texture2D tex;

        public void draw(SpriteBatch sb)
        {
            sb.Draw(tex, pos, Color.White);
        }
    }

    public class Santa : Sprite
    {
        private SpriteEffects effect = SpriteEffects.None;
        public static int tick = 200;
        public float loop = 0;
        public bool moves = false;
        public int frame = 0; // 3 frames total
        public int speed = 2;

        public void update(GameTime gt)
        {
            KeyboardState k = Keyboard.GetState();
            
            if (k.IsKeyDown(Keys.Escape)) System.Environment.Exit(0);

            moves = false;

            if (k.IsKeyDown(Keys.Up)) { pos.Y -= speed; moves = true; }
            else if (k.IsKeyDown(Keys.Down)) { pos.Y += speed; moves = true; }

            if (k.IsKeyDown(Keys.Left)) { pos.X -= speed; moves = true; effect = SpriteEffects.None; }
            else if (k.IsKeyDown(Keys.Right)) { pos.X += speed; moves = true; effect = SpriteEffects.FlipHorizontally;  }

            loop += gt.ElapsedGameTime.Milliseconds;

            if (moves)
            {
                // GOD DAMMIT STUPID CODE
                if (loop >= tick)
                {
                    if (frame == 1) frame = 2;
                    else frame = 1;
                    loop = 0f;
                }
            }
            else frame = 0;
        }

        new public void draw(SpriteBatch sb)
        {
            //sb.Draw(tex, pos, null, new Rectangle(frame * (tex.Width / 3), 0, tex.Width / 3, tex.Height), Color.White, 0f, Vector2.Zero, effect, 2f);
            sb.Draw(tex, pos, new Rectangle(frame * (tex.Width / 3), 0, tex.Width / 3, tex.Height), Color.White, 0f, Vector2.Zero, 1f, effect, 0f);
        }
    }
}
